## org.apache.batik.bridge
Class NoLoadScriptSecurity

    java.lang.Object
      org.apache.batik.bridge.NoLoadScriptSecurity

All Implemented Interfaces:
  ScriptSecurity

public class NoLoadScriptSecurity
extends java.lang.Object
implements ScriptSecurity

This implementation for the `ScriptSecurity` interface does not allow scripts to be loaded.

Field Summary
`static java.lang.String` `ERROR_NO_SCRIPT_OF_TYPE_ALLOWED` Message when trying to load a script file and the Document does not have a URL
`protected java.lang.SecurityException` `se` The exception is built in the constructor and thrown if the checkLoadScript method is called.

Constructor Summary
`NoLoadScriptSecurity(java.lang.String scriptType)`

Method Summary
`void` `checkLoadScript()` Controls whether the script should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ERROR_NO_SCRIPT_OF_TYPE_ALLOWED

    public static final java.lang.String ERROR_NO_SCRIPT_OF_TYPE_ALLOWED

  Message when trying to load a script file and the Document does not have a URL

  See Also:
    Constant Field Values

### se

    protected java.lang.SecurityException se

  The exception is built in the constructor and thrown if the checkLoadScript method is called.

Constructor Detail

### NoLoadScriptSecurity

    public NoLoadScriptSecurity(java.lang.String scriptType)

Parameters:
  `scriptType` - type of script, as found in the type attribute of the <script> element.

Method Detail

### checkLoadScript

    public void checkLoadScript()

  Controls whether the script should be loaded or not.

  Specified by:
    `checkLoadScript` in interface `ScriptSecurity`
  Throws:
    `java.lang.SecurityException` - if the script should not be loaded.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.